//
// $Id: SceneMoveAdapter.java 1046 2011-01-01 05:04:14Z dhoover $
//
// Vilya library - tools for developing networked games
// Copyright (C) 2002-2011 Three Rings Design, Inc., All Rights Reserved
// http://code.google.com/p/vilya/
//
// This library is free software; you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

package com.threerings.whirled.client;

import com.threerings.crowd.data.PlaceConfig;

import com.threerings.whirled.data.SceneModel;
import com.threerings.whirled.data.SceneUpdate;

/**
 * A useful base class for implementing part of a {@link SceneService.SceneMoveListener}.
 */
public class SceneMoveAdapter implements SceneService.SceneMoveListener
{
    // from interface SceneService.SceneMoveListener
    public void moveSucceeded (int placeId, PlaceConfig config)
    {
        // noop
    }

    // from interface SceneService.SceneMoveListener
    public void moveSucceededWithUpdates (int placeId, PlaceConfig config, SceneUpdate[] updates)
    {
        // noop
    }

    // from interface SceneService.SceneMoveListener
    public void moveSucceededWithScene (int placeId, PlaceConfig config, SceneModel model)
    {
        // noop
    }

    // from interface SceneService.SceneMoveListener
    public void moveRequiresServerSwitch (String hostname, int[] ports)
    {
        // noop
    }

    // from interface SceneService.SceneMoveListener
    public void requestFailed (String cause)
    {
        // noop
    }
}
